
%global meadversion 2.0.3
%global namedversion 2.0.3.GA-redhat-3
%global meadalpha .GA_redhat_3
%global meadrel .1
%global serial 15
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead

%global upstreamversion %(/bin/echo %{namedversion} | %{__sed} -e "s/.%{namedversionrel}//;")

%define maven_version 2.0.3.GA-redhat-3

Name:           jbossxb2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss XML Binding
Group:          Development/Java

%if %with mead
Source100: jbossxb-2.0.3.GA-redhat-3-scm-sources.zip
Source101: jbossxb-2.0.3.GA-redhat-3-patches.zip
Source102: jbossxb-2.0.3.GA-redhat-3-javadoc.jar
Source103: jbossxb-2.0.3.GA-redhat-3.jar
Source104: jbossxb-2.0.3.GA-redhat-3-project-sources.tar.gz
Source105: jbossxb-2.0.3.GA-redhat-3.pom
Source106: jbossxb-2.0.3.GA-redhat-3-sources.jar
%endif

License:        LGPLv2+
URL:            http://www.jboss.org
Obsoletes:      jbossxb < %{epoch}:%{version}-%{release}
Provides:       jbossxb = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jbossxb-%{namedversion}-%{release}-root

%description
JBoss XML Binding.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jbossxb
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{upstreamversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbossxb-%{namedversion}.jar %{buildroot}%{_javadir}/jbossxb-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbossxb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossxb-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jbossxb-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jbossxb.pom

# depmaps
%add_to_maven_depmap org.jboss jbossxb %{namedversion} JPP jbossxb
[ %{name} = "jbossxb" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jbossxb

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossxb-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jbossxb-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossxb-%{namedversion} -x META-INF/\*
%{__ln_s} jbossxb-%{namedversion} %{buildroot}%{_javadocdir}/jbossxb
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/jbossxb-%{namedversion}.jar
%{_javadir}/jbossxb.jar
%{_javadir}/jbossxb-%{namedversion}-sources.jar
%{_javadir}/jbossxb-sources.jar
%{_mavenpomdir}/JPP-jbossxb.pom
%{_mavendepmapfragdir}/jbossxb

%if %with javadoc
%files -n jbossxb-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossxb-%{namedversion}
%{_javadocdir}/jbossxb
%endif

%changelog
* Wed Dec 17 2014 Hui Wang <huwang@redhat.com> - 2.0.3-15.GA_redhat_3.1
- Remove dependencies on old maven BOMs

* Thu Aug 28 2014 David Walluck <dwalluck@redhat.com> - 2.0.3-14.GA_redhat_2.2
- remove Requires

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-13.GA_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:2.0.3-12.GA_redhat_2.3
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-12.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-12.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-12.GA_redhat_1
- Remove javadocs from main package

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-11.GA_redhat_1
- Populate java-signed

* Wed May 02 2012 David Walluck <dwalluck@redhat.com> 0:2.0.3-10
- fix jaxb requires
- fix javadoc install

* Thu Apr 12 2012 Lin Gao <lgao@redhat.com> - 0:2.0.3-9.GA_redhat_1
- Re vman for the patch to import BOMs

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-8.GA_redhat_1.1
- Rebuild using cache signing

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:2.0.3-8
- build in non-mead mode
- remove activation from pom (in JRE)
- remove xml-apis from pom (in JRE)
- remove dtdparser requires (mark as provided)
- remove jboss-relect requires (mark as provided)
- add xerces-j2 requires
- replace jboss-common-logging-spi with jboss-logging
- fix repolib install
- fix javadoc dir named and version
- use javadoc jar in MEAD mode
- fix duplicate dir onwership
- fix repolib file ownership
- fix jar locations
- fix jar names

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.3-7
- Rebuild to use new signing key

* Fri Feb 03 2012 Fernando nasser <fnasser@redhat.com> - 0:2.0.3-6
- Move JAXB API to 2.2

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-5
- Install javadoc, sources and versioned jars

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-4
- Build RPM wrapper

* Mon Nov 07 2011 Lin Gao <lgao@redhat.com> - 0:2.0.3-3
- fix patch
- add javadoc:jar in mead.sh goal

* Wed Oct 26 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.0.3-1
- 2.0.3.GA

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.1-8
- Add BR codehaus-stax11-api
- Modify jbossxb2-pom.patch to change jaxb-api's groupId to javax.xml.bind

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.1-7
- Modify jbossxb2-pom.patch to change xercesImpl's groupId to xerces
- Add BR eap5-boms, pom-version-manipulator to adjust pom.xml

* Fri Dec 3 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.1-6
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Change BR maven-release to maven-release-plugin

* Thu Jul 29 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-5
- Add Obsoletes jbossxb

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-4.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> 0:2.0.1-4
- Rebuild

* Wed Feb 10 2010 Fernando Nasser <fnasser@redhat.com> 0:2.0.1-3
- Remove 121 from dtdparser artifact name
- Add POM to repolib

* Thu Jan 28 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.1-2.1.1
- Removed the patch to rebuild with dependecy to jboss-test. 

* Fri Jan 15 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.1-2.1
Add patches to remove need for jboss-test

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:2.0.1-2
- add repolib
- install symlink to upstream name
- install into %%{_javadir} instead of %%{_javadir}/jboss

* Tue Jun 09 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.1-1.jpp5
- 2.0.1.GA 

* Mon Jun 01 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.0-1.jpp5
- 2.0.0.GA as jbossxb2
